Package org.eclipse.rdf4j.query.algebra

## Enum MathExpr.MathOp

- java.lang.Object
- - java.lang.Enum<MathExpr.MathOp>
  - - org.eclipse.rdf4j.query.algebra.MathExpr.MathOp

- All Implemented Interfaces:
    `Serializable`, `Comparable<MathExpr.MathOp>`
  Enclosing class:
    MathExpr

      public static enum MathExpr.MathOp
      extends Enum<MathExpr.MathOp>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DIVIDE` |
    `MINUS` |
    `MULTIPLY` |
    `PLUS` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getSymbol()` |
    `static MathExpr.MathOp` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MathExpr.MathOp[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLUS

          public static final MathExpr.MathOp PLUS

    - #### MINUS

          public static final MathExpr.MathOp MINUS

    - #### MULTIPLY

          public static final MathExpr.MathOp MULTIPLY

    - #### DIVIDE

          public static final MathExpr.MathOp DIVIDE

  - ### Method Detail

    - #### values

          public static MathExpr.MathOp[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MathExpr.MathOp c : MathExpr.MathOp.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MathExpr.MathOp valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSymbol

          public String getSymbol()